################################################################################
#   enable c++ support
################################################################################
CONFIG_CPP=y
CONFIG_STD_CPP17=y
#CONFIG_CPP_EXCEPTIONS=y
CONFIG_GLIBCXX_LIBCPP=y

################################################################################
#   enable drivers
################################################################################
CONFIG_COUNTER=y
CONFIG_GPIO=y
CONFIG_SPI=y
CONFIG_I2C=y
CONFIG_SENSOR=y
CONFIG_TIMER=y
CONFIG_CBPRINTF_FP_SUPPORT=y
CONFIG_STDOUT_CONSOLE=y

CONFIG_BMM350=y
CONFIG_BMM350_TRIGGER_OWN_THREAD=y
CONFIG_LSM6DSOX=y
CONFIG_LSM6DSOX_TRIGGER_OWN_THREAD=y
CONFIG_WSEN_PADS=y
CONFIG_WSEN_PADS_TRIGGER_OWN_THREAD=y

CONFIG_BQ25125=y

CONFIG_FLASH=y
CONFIG_MT29F4G=y

CONFIG_UART_INTERRUPT_DRIVEN=y  

################################################################################
#   enable ble
################################################################################
# Enable BLE
#CONFIG_BT=y
#CONFIG_BT_SMP=y
#CONFIG_BT_PERIPHERAL=y
#CONFIG_BT_CTLR_PHY_2M=y
#CONFIG_BT_GATT_CLIENT=y

# Enable BLE Device Information
#CONFIG_BT_DIS=y
#CONFIG_BT_DIS_PNP=n
#CONFIG_BT_DIS_SERIAL_NUMBER=y
#CONFIG_BT_DIS_FW_REV=y
#CONFIG_BT_DIS_HW_REV=y
#CONFIG_BT_DIS_SW_REV=y

# Below is setup to let DIS information be read from settings
#CONFIG_BT_SETTINGS=y
#CONFIG_SETTINGS_RUNTIME=y
#CONFIG_SETTINGS=y
#CONFIG_SETTINGS_NONE=y
#CONFIG_BT_DIS_SETTINGS=y
#CONFIG_BT_DIS_STR_MAX=32

# BLE data transmission options
#CONFIG_BT_L2CAP_TX_MTU=247      
#CONFIG_BT_BUF_ACL_RX_SIZE=251
#CONFIG_BT_BUF_ACL_TX_SIZE=251
#CONFIG_BT_CTLR_DATA_LENGTH_MAX=251
#CONFIG_BT_BUF_ACL_TX_COUNT=8

# BLE hci configuration options
#CONFIG_BT_CTLR_ADVANCED_FEATURES=y
#CONFIG_BT_CTLR_TX_PWR_DYNAMIC_CONTROL=y

################################################################################
#   enable debugging features
################################################################################
CONFIG_DEBUG_OPTIMIZATIONS=y
CONFIG_DEBUG_THREAD_INFO=y
CONFIG_MAIN_STACK_SIZE=8192
#CONFIG_TIMING_FUNCTIONS=y